Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class CompositeInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.CompositeInterceptor

All Implemented Interfaces:
  org.springframework.web.servlet.HandlerInterceptor

    class CompositeInterceptor
    extends java.lang.Object

Composed of other HandlerInterceptor instances.

Authors:
  mike
  Graeme Rocher

Property Summary
`static org.apache.commons.logging.Log` | `LOG`
`java.lang.Object` | `handlers`

Method Summary
`void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)`
`void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)`
`boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final org.apache.commons.logging.Log LOG

### handlers

    java.lang.Object handlers

Method Detail

### afterCompletion

    void afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)

### postHandle

    void postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)

### preHandle

    boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)

Groovy Documentation